> For the complete documentation index, see [llms.txt](https://docs.redivis.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.redivis.com/reference/datasets/samples.md).

# Samples

Some datasets include a 1% [data](/reference/datasets/data.md) sample, which supports faster exploratory queries for very large tables. Samples can also have fewer [access](/reference/data-access.md) restrictions compared to the full dataset.

## Methodology

Sampling is applied independently to each version of a dataset. Samples can either be randomly applied to all tables in the dataset or created on a variable, which is applied to all tables in the dataset that contain that variable.

## Usage

You can see whether a sample exists and how it was created in the right bar next to the list of tables. The tables list can also be filtered to see which tables have a sample. If you only have [sample access](/reference/data-access/access-levels.md) to this dataset you may see a **Sample** tag next to table names, which means you are looking at the sampled table of data.

When adding a dataset to a [workflow](/reference/workflows.md),  it will default to the sample, if one exists. A dataset can be [switched](/reference/workflows/data-sources.md) between the sample and the full data at any time.

*For editors:* [*How to create a sample*](/reference/datasets/create-and-edit-datasets/create-a-sample.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.redivis.com/reference/datasets/samples.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
